Bug 972349 - Packet loss / latency spikes with AR9462 wireless card using ath9k driver
Packet loss / latency spikes with AR9462 wireless card using ath9k driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 14:45 EDT by Lincoln Bryant
Modified: 2013-10-08 13:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1027296 (view as bug list)
Environment:
Last Closed: 2013-10-08 13:13:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lincoln Bryant 2013-06-08 14:45:36 EDT
Description of problem:
The ath9k driver appears to have various issues with latency and packet loss. My packet loss ranges from 25% to 60% on a laptop that is about 1 meter from the wireless router. I also see latency spikes which I assume are related.

Version-Release number of selected component (if applicable):

Kernel version: Linux 3.9.4-301.fc19.x86_64 x86_64

lspci info:
01:00.0 Network controller: Atheros Communications Inc. AR9462 Wireless Network Adapter (rev 01)
        Subsystem: Foxconn International, Inc. Device e059
        Flags: bus master, fast devsel, latency 0, IRQ 18
        Memory at e0400000 (64-bit, non-prefetchable) [size=512K]
        Expansion ROM at e0480000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable- Count=1/4 Maskable+ 64bit+
        Capabilities: [70] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel
        Capabilities: [160] Device Serial Number 00-00-00-00-00-00-00-00
        Kernel driver in use: ath9k

How reproducible:
Very

Steps to Reproduce:
1. Install Fedora 19 (or perhaps previous releases, not tested) on a machine with the AR9462 wireless adapter.
2. Run ping for a 1-2 minutes.
3. Confirm results

Actual results:
25%-60% packet loss, varies apparently randomly. 

Expected results:
Near 0% packet loss considering the close distance to the router. 

Additional info:
I have tried turning off the power management on this card to no avail.
There appear to be similar bugs such as : https://bugzilla.redhat.com/show_bug.cgi?id=592735 
But they have been closed as 'worksforme'. 

"wpa_supplicant.log" has the following entries:
dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7
dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7
dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7
dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7
dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7
Comment 1 Lincoln Bryant 2013-06-08 14:48:19 EDT
I should add that I am currently using a Ralink USB adapter on the same machine that is working 100% fine in the same test conditions. I think it's reasonable to rule out other devices or the environment at this point.
Comment 2 Sujith 2013-07-12 01:02:46 EDT
Can you use the wireless-testing kernel or the latest backports package ?
(http://drvbp1.linux-foundation.org/~mcgrof/rel-html/backports/)

If the issue is still seen, please post the syslog with ath9k loaded with the module parameter, "debug=0x8f49".
Comment 3 Josh Boyer 2013-09-18 16:51:02 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Josh Boyer 2013-10-08 13:13:12 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.